package com.ruoyi.ext.api.validate;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 自定义本地枚举字典校验注解
 * 
 * @author ruoyi
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(value = { ElementType.METHOD, ElementType.FIELD, ElementType.CONSTRUCTOR, ElementType.PARAMETER })
@Constraint(validatedBy = { EnumValidator.class })
public @interface EnumV
{
    String message() default "参数不正常";

    String[] limitValue() default {};

    Class<?>[] groups() default { };
    Class<? extends Payload>[] payload() default { };
}
